summaryrefslogtreecommitdiff
path: root/indra
diff options
context:
space:
mode:
authorAndrey Lihatskiy <alihatskiy@productengine.com>2021-07-14 23:35:45 +0300
committerAndrey Lihatskiy <alihatskiy@productengine.com>2021-07-14 23:35:45 +0300
commitb58fb175829423412fd7ecab8b3f49ee474f92cc (patch)
tree49e0f65e71becf3c17d34633b22217c06bf7cfb7 /indra
parent4d15f18d924b403fd40ae737b9478aadc345a56a (diff)
SL-15585 Improved notarization error handling
Diffstat (limited to 'indra')
-rwxr-xr-xindra/newview/installers/darwin/apple-notarize.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/indra/newview/installers/darwin/apple-notarize.sh b/indra/newview/installers/darwin/apple-notarize.sh
index b953af81af..be0f8a5717 100755
--- a/indra/newview/installers/darwin/apple-notarize.sh
+++ b/indra/newview/installers/darwin/apple-notarize.sh
@@ -36,8 +36,12 @@ if [ -f "$CONFIG_FILE" ]; then
if [["$status" == "success"]]; then
xcrun stapler staple "$app_file"
elif [["$status" == "invalid"]]; then
+ echo "Notarization error: failed to process the app file"
exit 1
fi
+ elif
+ echo "Notarization error: couldn't get request UUID"
+ exit 1
fi
fi
fi